<?php

namespace App\Enums;

enum OrderStatusEnum: string
{
    case DRAFT = 'draft';
    case STARTED = 'started';
    case FINISHED = 'finished';
    case MODERATED = 'moderated';
    case APPROVED = 'approved';
    case REJECTED = 'rejected';

    public static function getLabel(string $status): string
    {
        return match($status) {
            'draft'     => 'translation.draft',
            'started'   => 'translation.started',
            'finished'  => 'translation.finished',
            'moderated' => 'translation.moderated',
            'approved'  => 'translation.approved',
            'rejected'  => 'translation.rejected',
            default     => $status,
        };
    }
}
